def get_datasources():
    return [{"uniqueName": "foodmart", "name": "foodmart", "catalogs":
        [{"uniqueName": "FoodMart", "name": "FoodMart", "schemas":
            [{"uniqueName": "FoodMart", "name": "FoodMart", "cubes": [{
                "uniqueName": "[foodmart].[FoodMart].[FoodMart].[HR]",
                "name": "HR",
                "connection": "foodmart",
                "catalog": "FoodMart",
                "schema": "FoodMart",
                "caption": "HR",
                "visible": True},
                {
                    "uniqueName": "[foodmart].[FoodMart].[FoodMart].[Sales]",
                    "name": "Sales",
                    "connection": "foodmart",
                    "catalog": "FoodMart",
                    "schema": "FoodMart",
                    "caption": "Sales",
                    "visible": True},
                {
                    "uniqueName": "[foodmart].[FoodMart].[FoodMart].[Sales 2]",
                    "name": "Sales 2",
                    "connection": "foodmart",
                    "catalog": "FoodMart",
                    "schema": "FoodMart",
                    "caption": "Sales 2",
                    "visible": True},
                {
                    "uniqueName": "[foodmart].[FoodMart].[FoodMart].[Store]",
                    "name": "Store",
                    "connection": "foodmart",
                    "catalog": "FoodMart",
                    "schema": "FoodMart",
                    "caption": "Store",
                    "visible": True},
                {
                    "uniqueName": "[foodmart].[FoodMart].[FoodMart].[Warehouse]",
                    "name": "Warehouse",
                    "connection": "foodmart",
                    "catalog": "FoodMart",
                    "schema": "FoodMart",
                    "caption": "Warehouse",
                    "visible": True},
                {
                    "uniqueName": "[foodmart].[FoodMart].[FoodMart].[Warehouse and Sales]",
                    "name": "Warehouse and Sales",
                    "connection": "foodmart",
                    "catalog": "FoodMart",
                    "schema": "FoodMart",
                    "caption": "Warehouse and Sales",
                    "visible": True}]}]}]}]


def get_cube_metadata(cube_path):
    if 'HR' in cube_path:
        return '{"dimensions":[{"uniqueName":"[Actual VS Budget]","name":"Actual VS Budget","caption":"Actual VS Budget","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Actual VS Budget].[Type]","name":"Type","caption":"Actual VS Budget - Type","dimensionUniqueName":"[Actual VS Budget]","levels":[{"uniqueName":"[Actual VS Budget].[Type].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Actual VS Budget].[Type]","dimensionUniqueName":"[Actual VS Budget]","visible":true,"description":null},{"uniqueName":"[Actual VS Budget].[Type].[Type]","name":"Type","annotations":{},"levelType":"REGULAR","caption":"Type","hierarchyUniqueName":"[Actual VS Budget].[Type]","dimensionUniqueName":"[Actual VS Budget]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Actual VS Budget].[Type].[All Type]","name":"All Type","caption":"All Type","dimensionUniqueName":"[Actual VS Budget]","description":null,"levelUniqueName":"[Actual VS Budget].[Type].[(All)]","hierarchyUniqueName":"[Actual VS Budget].[Type]","calculated":false}]}]},{"uniqueName":"[Department]","name":"Department","caption":"Department","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Department].[Department]","name":"Department","caption":"Department","dimensionUniqueName":"[Department]","levels":[{"uniqueName":"[Department].[Department].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Department].[Department]","dimensionUniqueName":"[Department]","visible":true,"description":null},{"uniqueName":"[Department].[Department].[Department Description]","name":"Department Description","annotations":{},"levelType":"REGULAR","caption":"Department Description","hierarchyUniqueName":"[Department].[Department]","dimensionUniqueName":"[Department]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Department].[Department].[All Departments]","name":"All Departments","caption":"All Departments","dimensionUniqueName":"[Department]","description":null,"levelUniqueName":"[Department].[Department].[(All)]","hierarchyUniqueName":"[Department].[Department]","calculated":false}]},{"uniqueName":"[Department].[Department Description]","name":"Department Description","caption":"Department - Department Description","dimensionUniqueName":"[Department]","levels":[{"uniqueName":"[Department].[Department Description].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Department].[Department Description]","dimensionUniqueName":"[Department]","visible":true,"description":null},{"uniqueName":"[Department].[Department Description].[Department Description]","name":"Department Description","annotations":{},"levelType":"REGULAR","caption":"Department Description","hierarchyUniqueName":"[Department].[Department Description]","dimensionUniqueName":"[Department]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Department].[Department Description].[All Department Description]","name":"All Department Description","caption":"All Department Description","dimensionUniqueName":"[Department]","description":null,"levelUniqueName":"[Department].[Department Description].[(All)]","hierarchyUniqueName":"[Department].[Department Description]","calculated":false}]}]},{"uniqueName":"[Employee]","name":"Employee","caption":"Employee","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Employee].[Employees]","name":"Employees","caption":"Employees","dimensionUniqueName":"[Employee]","levels":[{"uniqueName":"[Employee].[Employees].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Employee].[Employees]","dimensionUniqueName":"[Employee]","visible":true,"description":null},{"uniqueName":"[Employee].[Employees].[Employee Id]","name":"Employee Id","annotations":{},"levelType":"REGULAR","caption":"Employee Id","hierarchyUniqueName":"[Employee].[Employees]","dimensionUniqueName":"[Employee]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Employee].[Employees].[All Employees]","name":"All Employees","caption":"All Employees","dimensionUniqueName":"[Employee]","description":null,"levelUniqueName":"[Employee].[Employees].[(All)]","hierarchyUniqueName":"[Employee].[Employees]","calculated":false}]},{"uniqueName":"[Employee$Closure].[Employee$Manager Id$Parent]","name":"Employee$Manager Id$Parent","caption":"Employee$Manager Id$Parent","dimensionUniqueName":"[Employee$Closure]","levels":[{"uniqueName":"[Employee$Closure].[Employee$Manager Id$Parent].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Employee$Closure].[Employee$Manager Id$Parent]","dimensionUniqueName":"[Employee$Closure]","visible":true,"description":null},{"uniqueName":"[Employee$Closure].[Employee$Manager Id$Parent].[Closure]","name":"Closure","annotations":{},"levelType":"REGULAR","caption":"Closure","hierarchyUniqueName":"[Employee$Closure].[Employee$Manager Id$Parent]","dimensionUniqueName":"[Employee$Closure]","visible":false,"description":null},{"uniqueName":"[Employee$Closure].[Employee$Manager Id$Parent].[Item]","name":"Item","annotations":{},"levelType":"REGULAR","caption":"Item","hierarchyUniqueName":"[Employee$Closure].[Employee$Manager Id$Parent]","dimensionUniqueName":"[Employee$Closure]","visible":false,"description":null}],"description":null,"visible":false,"rootMembers":[{"uniqueName":"[Employee$Closure].[Employee$Manager Id$Parent].[All Employee$Manager Id$Parents]","name":"All Employee$Manager Id$Parents","caption":"All Employee$Manager Id$Parents","dimensionUniqueName":"[Employee$Closure]","description":null,"levelUniqueName":"[Employee$Closure].[Employee$Manager Id$Parent].[(All)]","hierarchyUniqueName":"[Employee$Closure].[Employee$Manager Id$Parent]","calculated":false}]},{"uniqueName":"[Employee].[Position]","name":"Position","caption":"Position","dimensionUniqueName":"[Employee]","levels":[{"uniqueName":"[Employee].[Position].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Employee].[Position]","dimensionUniqueName":"[Employee]","visible":true,"description":null},{"uniqueName":"[Employee].[Position].[Management Role]","name":"Management Role","annotations":{},"levelType":"REGULAR","caption":"Management Role","hierarchyUniqueName":"[Employee].[Position]","dimensionUniqueName":"[Employee]","visible":true,"description":null},{"uniqueName":"[Employee].[Position].[Position Title]","name":"Position Title","annotations":{},"levelType":"REGULAR","caption":"Position Title","hierarchyUniqueName":"[Employee].[Position]","dimensionUniqueName":"[Employee]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Employee].[Position].[All Position]","name":"All Position","caption":"All Position","dimensionUniqueName":"[Employee]","description":null,"levelUniqueName":"[Employee].[Position].[(All)]","hierarchyUniqueName":"[Employee].[Position]","calculated":false}]},{"uniqueName":"[Employee].[Manager Id]","name":"Manager Id","caption":"Employee - Manager Id","dimensionUniqueName":"[Employee]","levels":[{"uniqueName":"[Employee].[Manager Id].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Employee].[Manager Id]","dimensionUniqueName":"[Employee]","visible":true,"description":null},{"uniqueName":"[Employee].[Manager Id].[Manager Id]","name":"Manager Id","annotations":{},"levelType":"REGULAR","caption":"Manager Id","hierarchyUniqueName":"[Employee].[Manager Id]","dimensionUniqueName":"[Employee]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Employee].[Manager Id].[All Manager Id]","name":"All Manager Id","caption":"All Manager Id","dimensionUniqueName":"[Employee]","description":null,"levelUniqueName":"[Employee].[Manager Id].[(All)]","hierarchyUniqueName":"[Employee].[Manager Id]","calculated":false}]},{"uniqueName":"[Employee].[Employee Id]","name":"Employee Id","caption":"Employee - Employee Id","dimensionUniqueName":"[Employee]","levels":[{"uniqueName":"[Employee].[Employee Id].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Employee].[Employee Id]","dimensionUniqueName":"[Employee]","visible":true,"description":null},{"uniqueName":"[Employee].[Employee Id].[Employee Id]","name":"Employee Id","annotations":{},"levelType":"REGULAR","caption":"Employee Id","hierarchyUniqueName":"[Employee].[Employee Id]","dimensionUniqueName":"[Employee]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Employee].[Employee Id].[All Employee Id]","name":"All Employee Id","caption":"All Employee Id","dimensionUniqueName":"[Employee]","description":null,"levelUniqueName":"[Employee].[Employee Id].[(All)]","hierarchyUniqueName":"[Employee].[Employee Id]","calculated":false}]},{"uniqueName":"[Employee].[Store Id]","name":"Store Id","caption":"Employee - Store Id","dimensionUniqueName":"[Employee]","levels":[{"uniqueName":"[Employee].[Store Id].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Employee].[Store Id]","dimensionUniqueName":"[Employee]","visible":true,"description":null},{"uniqueName":"[Employee].[Store Id].[Store Id]","name":"Store Id","annotations":{},"levelType":"REGULAR","caption":"Store Id","hierarchyUniqueName":"[Employee].[Store Id]","dimensionUniqueName":"[Employee]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Employee].[Store Id].[All Store Id]","name":"All Store Id","caption":"All Store Id","dimensionUniqueName":"[Employee]","description":null,"levelUniqueName":"[Employee].[Store Id].[(All)]","hierarchyUniqueName":"[Employee].[Store Id]","calculated":false}]},{"uniqueName":"[Employee].[Store Type]","name":"Store Type","caption":"Employee - Store Type","dimensionUniqueName":"[Employee]","levels":[{"uniqueName":"[Employee].[Store Type].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Employee].[Store Type]","dimensionUniqueName":"[Employee]","visible":true,"description":null},{"uniqueName":"[Employee].[Store Type].[Store Type]","name":"Store Type","annotations":{},"levelType":"REGULAR","caption":"Store Type","hierarchyUniqueName":"[Employee].[Store Type]","dimensionUniqueName":"[Employee]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Employee].[Store Type].[All Store Types]","name":"All Store Types","caption":"All Store Types","dimensionUniqueName":"[Employee]","description":null,"levelUniqueName":"[Employee].[Store Type].[(All)]","hierarchyUniqueName":"[Employee].[Store Type]","calculated":false}]},{"uniqueName":"[Employee].[Pay Type]","name":"Pay Type","caption":"Employee - Pay Type","dimensionUniqueName":"[Employee]","levels":[{"uniqueName":"[Employee].[Pay Type].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Employee].[Pay Type]","dimensionUniqueName":"[Employee]","visible":true,"description":null},{"uniqueName":"[Employee].[Pay Type].[Pay Type]","name":"Pay Type","annotations":{},"levelType":"REGULAR","caption":"Pay Type","hierarchyUniqueName":"[Employee].[Pay Type]","dimensionUniqueName":"[Employee]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Employee].[Pay Type].[All Pay Types]","name":"All Pay Types","caption":"All Pay Types","dimensionUniqueName":"[Employee]","description":null,"levelUniqueName":"[Employee].[Pay Type].[(All)]","hierarchyUniqueName":"[Employee].[Pay Type]","calculated":false}]},{"uniqueName":"[Employee].[Management Role]","name":"Management Role","caption":"Employee - Management Role","dimensionUniqueName":"[Employee]","levels":[{"uniqueName":"[Employee].[Management Role].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Employee].[Management Role]","dimensionUniqueName":"[Employee]","visible":true,"description":null},{"uniqueName":"[Employee].[Management Role].[Management Role]","name":"Management Role","annotations":{},"levelType":"REGULAR","caption":"Management Role","hierarchyUniqueName":"[Employee].[Management Role]","dimensionUniqueName":"[Employee]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Employee].[Management Role].[All Management Role]","name":"All Management Role","caption":"All Management Role","dimensionUniqueName":"[Employee]","description":null,"levelUniqueName":"[Employee].[Management Role].[(All)]","hierarchyUniqueName":"[Employee].[Management Role]","calculated":false}]},{"uniqueName":"[Employee].[Position Title]","name":"Position Title","caption":"Employee - Position Title","dimensionUniqueName":"[Employee]","levels":[{"uniqueName":"[Employee].[Position Title].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Employee].[Position Title]","dimensionUniqueName":"[Employee]","visible":true,"description":null},{"uniqueName":"[Employee].[Position Title].[Position Title]","name":"Position Title","annotations":{},"levelType":"REGULAR","caption":"Position Title","hierarchyUniqueName":"[Employee].[Position Title]","dimensionUniqueName":"[Employee]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Employee].[Position Title].[All Position Title]","name":"All Position Title","caption":"All Position Title","dimensionUniqueName":"[Employee]","description":null,"levelUniqueName":"[Employee].[Position Title].[(All)]","hierarchyUniqueName":"[Employee].[Position Title]","calculated":false}]},{"uniqueName":"[Employee].[Marital Status]","name":"Marital Status","caption":"Employee - Marital Status","dimensionUniqueName":"[Employee]","levels":[{"uniqueName":"[Employee].[Marital Status].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Employee].[Marital Status]","dimensionUniqueName":"[Employee]","visible":true,"description":null},{"uniqueName":"[Employee].[Marital Status].[Marital Status]","name":"Marital Status","annotations":{},"levelType":"REGULAR","caption":"Marital Status","hierarchyUniqueName":"[Employee].[Marital Status]","dimensionUniqueName":"[Employee]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Employee].[Marital Status].[All Marital Status]","name":"All Marital Status","caption":"All Marital Status","dimensionUniqueName":"[Employee]","description":null,"levelUniqueName":"[Employee].[Marital Status].[(All)]","hierarchyUniqueName":"[Employee].[Marital Status]","calculated":false}]},{"uniqueName":"[Employee].[Gender]","name":"Gender","caption":"Employee - Gender","dimensionUniqueName":"[Employee]","levels":[{"uniqueName":"[Employee].[Gender].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Employee].[Gender]","dimensionUniqueName":"[Employee]","visible":true,"description":null},{"uniqueName":"[Employee].[Gender].[Gender]","name":"Gender","annotations":{},"levelType":"REGULAR","caption":"Gender","hierarchyUniqueName":"[Employee].[Gender]","dimensionUniqueName":"[Employee]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Employee].[Gender].[All Gender]","name":"All Gender","caption":"All Gender","dimensionUniqueName":"[Employee]","description":null,"levelUniqueName":"[Employee].[Gender].[(All)]","hierarchyUniqueName":"[Employee].[Gender]","calculated":false}]},{"uniqueName":"[Employee].[Salary]","name":"Salary","caption":"Employee - Salary","dimensionUniqueName":"[Employee]","levels":[{"uniqueName":"[Employee].[Salary].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Employee].[Salary]","dimensionUniqueName":"[Employee]","visible":true,"description":null},{"uniqueName":"[Employee].[Salary].[Salary]","name":"Salary","annotations":{},"levelType":"REGULAR","caption":"Salary","hierarchyUniqueName":"[Employee].[Salary]","dimensionUniqueName":"[Employee]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Employee].[Salary].[All Salary]","name":"All Salary","caption":"All Salary","dimensionUniqueName":"[Employee]","description":null,"levelUniqueName":"[Employee].[Salary].[(All)]","hierarchyUniqueName":"[Employee].[Salary]","calculated":false}]},{"uniqueName":"[Employee].[Education Level]","name":"Education Level","caption":"Employee - Education Level","dimensionUniqueName":"[Employee]","levels":[{"uniqueName":"[Employee].[Education Level].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Employee].[Education Level]","dimensionUniqueName":"[Employee]","visible":true,"description":null},{"uniqueName":"[Employee].[Education Level].[Education Level]","name":"Education Level","annotations":{},"levelType":"REGULAR","caption":"Education Level","hierarchyUniqueName":"[Employee].[Education Level]","dimensionUniqueName":"[Employee]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Employee].[Education Level].[All Education Level]","name":"All Education Level","caption":"All Education Level","dimensionUniqueName":"[Employee]","description":null,"levelUniqueName":"[Employee].[Education Level].[(All)]","hierarchyUniqueName":"[Employee].[Education Level]","calculated":false}]}]},{"uniqueName":"[Store]","name":"Store","caption":"Store","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Store].[Stores]","name":"Stores","caption":"Stores","dimensionUniqueName":"[Store]","levels":[{"uniqueName":"[Store].[Stores].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Store].[Stores]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Stores].[Store Country]","name":"Store Country","annotations":{},"levelType":"REGULAR","caption":"Store Country","hierarchyUniqueName":"[Store].[Stores]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Stores].[Store State]","name":"Store State","annotations":{},"levelType":"REGULAR","caption":"Store State","hierarchyUniqueName":"[Store].[Stores]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Stores].[Store City]","name":"Store City","annotations":{},"levelType":"REGULAR","caption":"Store City","hierarchyUniqueName":"[Store].[Stores]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Stores].[Store Name]","name":"Store Name","annotations":{},"levelType":"REGULAR","caption":"Store Name","hierarchyUniqueName":"[Store].[Stores]","dimensionUniqueName":"[Store]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Store].[Stores].[All Stores]","name":"All Stores","caption":"All Stores","dimensionUniqueName":"[Store]","description":null,"levelUniqueName":"[Store].[Stores].[(All)]","hierarchyUniqueName":"[Store].[Stores]","calculated":false},{"uniqueName":"[Store].[Stores].[Test]","name":"Test","caption":"Test","dimensionUniqueName":"[Store]","description":null,"levelUniqueName":"[Store].[Stores].[(All)]","hierarchyUniqueName":"[Store].[Stores]","calculated":true}]},{"uniqueName":"[Store].[Store Size in SQFT]","name":"Store Size in SQFT","caption":"Store Size in SQFT","dimensionUniqueName":"[Store]","levels":[{"uniqueName":"[Store].[Store Size in SQFT].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Store].[Store Size in SQFT]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Store Size in SQFT].[Store Sqft]","name":"Store Sqft","annotations":{},"levelType":"REGULAR","caption":"Store Sqft","hierarchyUniqueName":"[Store].[Store Size in SQFT]","dimensionUniqueName":"[Store]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Store].[Store Size in SQFT].[All Store Size in SQFTs]","name":"All Store Size in SQFTs","caption":"All Store Size in SQFTs","dimensionUniqueName":"[Store]","description":null,"levelUniqueName":"[Store].[Store Size in SQFT].[(All)]","hierarchyUniqueName":"[Store].[Store Size in SQFT]","calculated":false}]},{"uniqueName":"[Store].[Store Type]","name":"Store Type","caption":"Store - Store Type","dimensionUniqueName":"[Store]","levels":[{"uniqueName":"[Store].[Store Type].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Store].[Store Type]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Store Type].[Store Type]","name":"Store Type","annotations":{},"levelType":"REGULAR","caption":"Store Type","hierarchyUniqueName":"[Store].[Store Type]","dimensionUniqueName":"[Store]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Store].[Store Type].[All Store Types]","name":"All Store Types","caption":"All Store Types","dimensionUniqueName":"[Store]","description":null,"levelUniqueName":"[Store].[Store Type].[(All)]","hierarchyUniqueName":"[Store].[Store Type]","calculated":false}]}]},{"uniqueName":"[Time]","name":"Time","caption":"Time","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Time].[Time]","name":"Time","caption":"Time","dimensionUniqueName":"[Time]","levels":[{"uniqueName":"[Time].[Time].[Year]","name":"Year","annotations":{},"levelType":"TIME_YEARS","caption":"Year","hierarchyUniqueName":"[Time].[Time]","dimensionUniqueName":"[Time]","visible":true,"description":null},{"uniqueName":"[Time].[Time].[Quarter]","name":"Quarter","annotations":{},"levelType":"TIME_QUARTERS","caption":"Quarter","hierarchyUniqueName":"[Time].[Time]","dimensionUniqueName":"[Time]","visible":true,"description":null},{"uniqueName":"[Time].[Time].[Month]","name":"Month","annotations":{},"levelType":"REGULAR","caption":"Month","hierarchyUniqueName":"[Time].[Time]","dimensionUniqueName":"[Time]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Time].[Time].[1997]","name":"1997","caption":"1997","dimensionUniqueName":"[Time]","description":null,"levelUniqueName":"[Time].[Time].[Year]","hierarchyUniqueName":"[Time].[Time]","calculated":false},{"uniqueName":"[Time].[Time].[1998]","name":"1998","caption":"1998","dimensionUniqueName":"[Time]","description":null,"levelUniqueName":"[Time].[Time].[Year]","hierarchyUniqueName":"[Time].[Time]","calculated":false}]}]}],"measures":[{"uniqueName":"[Measures].[Org Salary]","name":"Org Salary","caption":"Org Salary","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"HR"},{"uniqueName":"[Measures].[Count]","name":"Count","caption":"Count","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"HR"},{"uniqueName":"[Measures].[Number of Employees]","name":"Number of Employees","caption":"Number of Employees","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"HR"},{"uniqueName":"[Measures].[Employee Salary]","name":"Employee Salary","caption":"Employee Salary","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":true,"measureGroup":""},{"uniqueName":"[Measures].[Avg Salary]","name":"Avg Salary","caption":"Avg Salary","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":true,"measureGroup":""}],"properties":{"org.saiku.query.explain":true,"saiku.olap.query.drillthrough":true,"org.saiku.connection.scenario":false}}'
    elif 'Sales/' in cube_path:
        return '{"dimensions":[{"uniqueName":"[Customer]","name":"Customer","caption":"Customer","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Customer].[Customers]","name":"Customers","caption":"Customers","dimensionUniqueName":"[Customer]","levels":[{"uniqueName":"[Customer].[Customers].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Customer].[Customers]","dimensionUniqueName":"[Customer]","visible":true,"description":null},{"uniqueName":"[Customer].[Customers].[Country]","name":"Country","annotations":{},"levelType":"REGULAR","caption":"Country","hierarchyUniqueName":"[Customer].[Customers]","dimensionUniqueName":"[Customer]","visible":true,"description":null},{"uniqueName":"[Customer].[Customers].[State Province]","name":"State Province","annotations":{},"levelType":"REGULAR","caption":"State Province","hierarchyUniqueName":"[Customer].[Customers]","dimensionUniqueName":"[Customer]","visible":true,"description":null},{"uniqueName":"[Customer].[Customers].[City]","name":"City","annotations":{},"levelType":"REGULAR","caption":"City","hierarchyUniqueName":"[Customer].[Customers]","dimensionUniqueName":"[Customer]","visible":true,"description":null},{"uniqueName":"[Customer].[Customers].[Name]","name":"Name","annotations":{},"levelType":"REGULAR","caption":"Name","hierarchyUniqueName":"[Customer].[Customers]","dimensionUniqueName":"[Customer]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Customer].[Customers].[All Customers]","name":"All Customers","caption":"All Customers","dimensionUniqueName":"[Customer]","description":null,"levelUniqueName":"[Customer].[Customers].[(All)]","hierarchyUniqueName":"[Customer].[Customers]","calculated":false}]},{"uniqueName":"[Customer].[Education Level]","name":"Education Level","caption":"Education Level","dimensionUniqueName":"[Customer]","levels":[{"uniqueName":"[Customer].[Education Level].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Customer].[Education Level]","dimensionUniqueName":"[Customer]","visible":true,"description":null},{"uniqueName":"[Customer].[Education Level].[Education Level]","name":"Education Level","annotations":{},"levelType":"REGULAR","caption":"Education Level","hierarchyUniqueName":"[Customer].[Education Level]","dimensionUniqueName":"[Customer]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Customer].[Education Level].[All Education Levels]","name":"All Education Levels","caption":"All Education Levels","dimensionUniqueName":"[Customer]","description":null,"levelUniqueName":"[Customer].[Education Level].[(All)]","hierarchyUniqueName":"[Customer].[Education Level]","calculated":false}]},{"uniqueName":"[Customer].[Gender]","name":"Gender","caption":"Customer - Gender","dimensionUniqueName":"[Customer]","levels":[{"uniqueName":"[Customer].[Gender].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Customer].[Gender]","dimensionUniqueName":"[Customer]","visible":true,"description":null},{"uniqueName":"[Customer].[Gender].[Gender]","name":"Gender","annotations":{},"levelType":"REGULAR","caption":"Gender","hierarchyUniqueName":"[Customer].[Gender]","dimensionUniqueName":"[Customer]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Customer].[Gender].[All Gender]","name":"All Gender","caption":"All Gender","dimensionUniqueName":"[Customer]","description":null,"levelUniqueName":"[Customer].[Gender].[(All)]","hierarchyUniqueName":"[Customer].[Gender]","calculated":false}]},{"uniqueName":"[Customer].[Marital Status]","name":"Marital Status","caption":"Customer - Marital Status","dimensionUniqueName":"[Customer]","levels":[{"uniqueName":"[Customer].[Marital Status].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Customer].[Marital Status]","dimensionUniqueName":"[Customer]","visible":true,"description":null},{"uniqueName":"[Customer].[Marital Status].[Marital Status]","name":"Marital Status","annotations":{},"levelType":"REGULAR","caption":"Marital Status","hierarchyUniqueName":"[Customer].[Marital Status]","dimensionUniqueName":"[Customer]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Customer].[Marital Status].[All Marital Status]","name":"All Marital Status","caption":"All Marital Status","dimensionUniqueName":"[Customer]","description":null,"levelUniqueName":"[Customer].[Marital Status].[(All)]","hierarchyUniqueName":"[Customer].[Marital Status]","calculated":false}]},{"uniqueName":"[Customer].[Yearly Income]","name":"Yearly Income","caption":"Customer - Yearly Income","dimensionUniqueName":"[Customer]","levels":[{"uniqueName":"[Customer].[Yearly Income].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Customer].[Yearly Income]","dimensionUniqueName":"[Customer]","visible":true,"description":null},{"uniqueName":"[Customer].[Yearly Income].[Yearly Income]","name":"Yearly Income","annotations":{},"levelType":"REGULAR","caption":"Yearly Income","hierarchyUniqueName":"[Customer].[Yearly Income]","dimensionUniqueName":"[Customer]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Customer].[Yearly Income].[All Yearly Incomes]","name":"All Yearly Incomes","caption":"All Yearly Incomes","dimensionUniqueName":"[Customer]","description":null,"levelUniqueName":"[Customer].[Yearly Income].[(All)]","hierarchyUniqueName":"[Customer].[Yearly Income]","calculated":false}]}]},{"uniqueName":"[Performance Season Day]","name":"Performance Season Day","caption":"Performance Season Day","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Performance Season Day].[Performance]","name":"Performance","caption":"Performance","dimensionUniqueName":"[Performance Season Day]","levels":[{"uniqueName":"[Performance Season Day].[Performance].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Performance Season Day].[Performance]","dimensionUniqueName":"[Performance Season Day]","visible":true,"description":null},{"uniqueName":"[Performance Season Day].[Performance].[Performance Season Day]","name":"Performance Season Day","annotations":{},"levelType":"REGULAR","caption":"Performance Season Day","hierarchyUniqueName":"[Performance Season Day].[Performance]","dimensionUniqueName":"[Performance Season Day]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Performance Season Day].[Performance].[All Performances]","name":"All Performances","caption":"All Performances","dimensionUniqueName":"[Performance Season Day]","description":null,"levelUniqueName":"[Performance Season Day].[Performance].[(All)]","hierarchyUniqueName":"[Performance Season Day].[Performance]","calculated":false}]}]},{"uniqueName":"[Product]","name":"Product","caption":"Product","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Product].[Products]","name":"Products","caption":"Products","dimensionUniqueName":"[Product]","levels":[{"uniqueName":"[Product].[Products].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null},{"uniqueName":"[Product].[Products].[Product Family]","name":"Product Family","annotations":{},"levelType":"REGULAR","caption":"Product Family","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null},{"uniqueName":"[Product].[Products].[Product Department]","name":"Product Department","annotations":{},"levelType":"REGULAR","caption":"Product Department","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null},{"uniqueName":"[Product].[Products].[Product Category]","name":"Product Category","annotations":{},"levelType":"REGULAR","caption":"Product Category","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null},{"uniqueName":"[Product].[Products].[Product Subcategory]","name":"Product Subcategory","annotations":{},"levelType":"REGULAR","caption":"Product Subcategory","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null},{"uniqueName":"[Product].[Products].[Brand Name]","name":"Brand Name","annotations":{},"levelType":"REGULAR","caption":"Brand Name","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null},{"uniqueName":"[Product].[Products].[Product Name]","name":"Product Name","annotations":{},"levelType":"REGULAR","caption":"Product Name","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Product].[Products].[All Products]","name":"All Products","caption":"All Products","dimensionUniqueName":"[Product]","description":null,"levelUniqueName":"[Product].[Products].[(All)]","hierarchyUniqueName":"[Product].[Products]","calculated":false}]}]},{"uniqueName":"[Promotion]","name":"Promotion","caption":"Promotion","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Promotion].[Media Type]","name":"Media Type","caption":"Media Type","dimensionUniqueName":"[Promotion]","levels":[{"uniqueName":"[Promotion].[Media Type].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Promotion].[Media Type]","dimensionUniqueName":"[Promotion]","visible":true,"description":null},{"uniqueName":"[Promotion].[Media Type].[Media Type]","name":"Media Type","annotations":{},"levelType":"REGULAR","caption":"Media Type","hierarchyUniqueName":"[Promotion].[Media Type]","dimensionUniqueName":"[Promotion]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Promotion].[Media Type].[All Media]","name":"All Media","caption":"All Media","dimensionUniqueName":"[Promotion]","description":null,"levelUniqueName":"[Promotion].[Media Type].[(All)]","hierarchyUniqueName":"[Promotion].[Media Type]","calculated":false}]},{"uniqueName":"[Promotion].[Promotions]","name":"Promotions","caption":"Promotions","dimensionUniqueName":"[Promotion]","levels":[{"uniqueName":"[Promotion].[Promotions].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Promotion].[Promotions]","dimensionUniqueName":"[Promotion]","visible":true,"description":null},{"uniqueName":"[Promotion].[Promotions].[Promotion Name]","name":"Promotion Name","annotations":{},"levelType":"REGULAR","caption":"Promotion Name","hierarchyUniqueName":"[Promotion].[Promotions]","dimensionUniqueName":"[Promotion]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Promotion].[Promotions].[All Promotions]","name":"All Promotions","caption":"All Promotions","dimensionUniqueName":"[Promotion]","description":null,"levelUniqueName":"[Promotion].[Promotions].[(All)]","hierarchyUniqueName":"[Promotion].[Promotions]","calculated":false}]}]},{"uniqueName":"[Store]","name":"Store","caption":"Store","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Store].[Stores]","name":"Stores","caption":"Stores","dimensionUniqueName":"[Store]","levels":[{"uniqueName":"[Store].[Stores].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Store].[Stores]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Stores].[Store Country]","name":"Store Country","annotations":{},"levelType":"REGULAR","caption":"Store Country","hierarchyUniqueName":"[Store].[Stores]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Stores].[Store State]","name":"Store State","annotations":{},"levelType":"REGULAR","caption":"Store State","hierarchyUniqueName":"[Store].[Stores]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Stores].[Store City]","name":"Store City","annotations":{},"levelType":"REGULAR","caption":"Store City","hierarchyUniqueName":"[Store].[Stores]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Stores].[Store Name]","name":"Store Name","annotations":{},"levelType":"REGULAR","caption":"Store Name","hierarchyUniqueName":"[Store].[Stores]","dimensionUniqueName":"[Store]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Store].[Stores].[All Stores]","name":"All Stores","caption":"All Stores","dimensionUniqueName":"[Store]","description":null,"levelUniqueName":"[Store].[Stores].[(All)]","hierarchyUniqueName":"[Store].[Stores]","calculated":false}]},{"uniqueName":"[Store].[Store Size in SQFT]","name":"Store Size in SQFT","caption":"Store Size in SQFT","dimensionUniqueName":"[Store]","levels":[{"uniqueName":"[Store].[Store Size in SQFT].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Store].[Store Size in SQFT]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Store Size in SQFT].[Store Sqft]","name":"Store Sqft","annotations":{},"levelType":"REGULAR","caption":"Store Sqft","hierarchyUniqueName":"[Store].[Store Size in SQFT]","dimensionUniqueName":"[Store]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Store].[Store Size in SQFT].[All Store Size in SQFTs]","name":"All Store Size in SQFTs","caption":"All Store Size in SQFTs","dimensionUniqueName":"[Store]","description":null,"levelUniqueName":"[Store].[Store Size in SQFT].[(All)]","hierarchyUniqueName":"[Store].[Store Size in SQFT]","calculated":false}]},{"uniqueName":"[Store].[Store Type]","name":"Store Type","caption":"Store - Store Type","dimensionUniqueName":"[Store]","levels":[{"uniqueName":"[Store].[Store Type].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Store].[Store Type]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Store Type].[Store Type]","name":"Store Type","annotations":{},"levelType":"REGULAR","caption":"Store Type","hierarchyUniqueName":"[Store].[Store Type]","dimensionUniqueName":"[Store]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Store].[Store Type].[All Store Types]","name":"All Store Types","caption":"All Store Types","dimensionUniqueName":"[Store]","description":null,"levelUniqueName":"[Store].[Store Type].[(All)]","hierarchyUniqueName":"[Store].[Store Type]","calculated":false}]}]},{"uniqueName":"[Time]","name":"Time","caption":"Time","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Time].[Time]","name":"Time","caption":"Time","dimensionUniqueName":"[Time]","levels":[{"uniqueName":"[Time].[Time].[Year]","name":"Year","annotations":{"AnalyzerDateFormat":"[yyyy]"},"levelType":"TIME_YEARS","caption":"Year","hierarchyUniqueName":"[Time].[Time]","dimensionUniqueName":"[Time]","visible":true,"description":null},{"uniqueName":"[Time].[Time].[Quarter]","name":"Quarter","annotations":{"AnalyzerDateFormat":"[yyyy].[Qq]"},"levelType":"TIME_QUARTERS","caption":"Quarter","hierarchyUniqueName":"[Time].[Time]","dimensionUniqueName":"[Time]","visible":true,"description":null},{"uniqueName":"[Time].[Time].[Month]","name":"Month","annotations":{"AnalyzerDateFormat":"[yyyy].[Qq].[mm]"},"levelType":"TIME_MONTHS","caption":"Month","hierarchyUniqueName":"[Time].[Time]","dimensionUniqueName":"[Time]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Time].[Time].[1997]","name":"1997","caption":"1997","dimensionUniqueName":"[Time]","description":null,"levelUniqueName":"[Time].[Time].[Year]","hierarchyUniqueName":"[Time].[Time]","calculated":false},{"uniqueName":"[Time].[Time].[1998]","name":"1998","caption":"1998","dimensionUniqueName":"[Time]","description":null,"levelUniqueName":"[Time].[Time].[Year]","hierarchyUniqueName":"[Time].[Time]","calculated":false}]},{"uniqueName":"[Time].[Weekly]","name":"Weekly","caption":"Weekly","dimensionUniqueName":"[Time]","levels":[{"uniqueName":"[Time].[Weekly].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Time].[Weekly]","dimensionUniqueName":"[Time]","visible":true,"description":null},{"uniqueName":"[Time].[Weekly].[Year]","name":"Year","annotations":{"AnalyzerDateFormat":"[yyyy]"},"levelType":"TIME_YEARS","caption":"Year","hierarchyUniqueName":"[Time].[Weekly]","dimensionUniqueName":"[Time]","visible":true,"description":null},{"uniqueName":"[Time].[Weekly].[Week]","name":"Week","annotations":{"AnalyzerDateFormat":"[yyyy].[ww]"},"levelType":"TIME_WEEKS","caption":"Week","hierarchyUniqueName":"[Time].[Weekly]","dimensionUniqueName":"[Time]","visible":true,"description":null},{"uniqueName":"[Time].[Weekly].[Day]","name":"Day","annotations":{"AnalyzerDateFormat":"[yyyy].[ww].[dd]"},"levelType":"TIME_DAYS","caption":"Day","hierarchyUniqueName":"[Time].[Weekly]","dimensionUniqueName":"[Time]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Time].[Weekly].[All Weeklys]","name":"All Weeklys","caption":"All Weeklys","dimensionUniqueName":"[Time]","description":null,"levelUniqueName":"[Time].[Weekly].[(All)]","hierarchyUniqueName":"[Time].[Weekly]","calculated":false}]},{"uniqueName":"[Time].[Date Only]","name":"Date Only","caption":"Date Only","dimensionUniqueName":"[Time]","levels":[{"uniqueName":"[Time].[Date Only].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Time].[Date Only]","dimensionUniqueName":"[Time]","visible":true,"description":null},{"uniqueName":"[Time].[Date Only].[Date String]","name":"Date String","annotations":{"SaikuDayFormatString":"yyyy/mm/dd"},"levelType":"REGULAR","caption":"Date String","hierarchyUniqueName":"[Time].[Date Only]","dimensionUniqueName":"[Time]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Time].[Date Only].[All Date Onlys]","name":"All Date Onlys","caption":"All Date Onlys","dimensionUniqueName":"[Time]","description":null,"levelUniqueName":"[Time].[Date Only].[(All)]","hierarchyUniqueName":"[Time].[Date Only]","calculated":false}]}]}],"measures":[{"uniqueName":"[Measures].[Unit Sales]","name":"Unit Sales","caption":"Unit Sales","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"Sales"},{"uniqueName":"[Measures].[Store Cost]","name":"Store Cost","caption":"Store Cost","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"Sales"},{"uniqueName":"[Measures].[Store Sales]","name":"Store Sales","caption":"Store Sales","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"Sales"},{"uniqueName":"[Measures].[Sales Count]","name":"Sales Count","caption":"Sales Count","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"Sales"},{"uniqueName":"[Measures].[Customer Count]","name":"Customer Count","caption":"Customer Count","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"Sales"},{"uniqueName":"[Measures].[Promotion Sales]","name":"Promotion Sales","caption":"Promotion Sales","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"Sales"},{"uniqueName":"[Measures].[Profit]","name":"Profit","caption":"Profit","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":true,"measureGroup":""},{"uniqueName":"[Measures].[Profit Growth]","name":"Profit Growth","caption":"Gewinn-Wachstum","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":true,"measureGroup":""}],"properties":{"org.saiku.query.explain":true,"saiku.olap.query.drillthrough":true,"org.saiku.connection.scenario":false}}'
    elif 'Sales 2/' in cube_path:
        return '{"dimensions":[{"uniqueName":"[Gender]","name":"Gender","caption":"Gender","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Gender].[Gender]","name":"Gender","caption":"Gender - Gender","dimensionUniqueName":"[Gender]","levels":[{"uniqueName":"[Gender].[Gender].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Gender].[Gender]","dimensionUniqueName":"[Gender]","visible":true,"description":null},{"uniqueName":"[Gender].[Gender].[Gender]","name":"Gender","annotations":{},"levelType":"REGULAR","caption":"Gender","hierarchyUniqueName":"[Gender].[Gender]","dimensionUniqueName":"[Gender]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Gender].[Gender].[All Gender]","name":"All Gender","caption":"All Gender","dimensionUniqueName":"[Gender]","description":null,"levelUniqueName":"[Gender].[Gender].[(All)]","hierarchyUniqueName":"[Gender].[Gender]","calculated":false}]},{"uniqueName":"[Gender].[Id]","name":"Id","caption":"Gender - Id","dimensionUniqueName":"[Gender]","levels":[{"uniqueName":"[Gender].[Id].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Gender].[Id]","dimensionUniqueName":"[Gender]","visible":true,"description":null},{"uniqueName":"[Gender].[Id].[Id]","name":"Id","annotations":{},"levelType":"REGULAR","caption":"Id","hierarchyUniqueName":"[Gender].[Id]","dimensionUniqueName":"[Gender]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Gender].[Id].[All Id]","name":"All Id","caption":"All Id","dimensionUniqueName":"[Gender]","description":null,"levelUniqueName":"[Gender].[Id].[(All)]","hierarchyUniqueName":"[Gender].[Id]","calculated":false}]}]},{"uniqueName":"[Product]","name":"Product","caption":"Product","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Product].[Products]","name":"Products","caption":"Products","dimensionUniqueName":"[Product]","levels":[{"uniqueName":"[Product].[Products].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null},{"uniqueName":"[Product].[Products].[Product Family]","name":"Product Family","annotations":{},"levelType":"REGULAR","caption":"Product Family","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null},{"uniqueName":"[Product].[Products].[Product Department]","name":"Product Department","annotations":{},"levelType":"REGULAR","caption":"Product Department","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null},{"uniqueName":"[Product].[Products].[Product Category]","name":"Product Category","annotations":{},"levelType":"REGULAR","caption":"Product Category","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null},{"uniqueName":"[Product].[Products].[Product Subcategory]","name":"Product Subcategory","annotations":{},"levelType":"REGULAR","caption":"Product Subcategory","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null},{"uniqueName":"[Product].[Products].[Brand Name]","name":"Brand Name","annotations":{},"levelType":"REGULAR","caption":"Brand Name","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null},{"uniqueName":"[Product].[Products].[Product Name]","name":"Product Name","annotations":{},"levelType":"REGULAR","caption":"Product Name","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Product].[Products].[All Products]","name":"All Products","caption":"All Products","dimensionUniqueName":"[Product]","description":null,"levelUniqueName":"[Product].[Products].[(All)]","hierarchyUniqueName":"[Product].[Products]","calculated":false}]}]},{"uniqueName":"[Time]","name":"Time","caption":"Time","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Time].[Time]","name":"Time","caption":"Time","dimensionUniqueName":"[Time]","levels":[{"uniqueName":"[Time].[Time].[Year]","name":"Year","annotations":{"AnalyzerDateFormat":"[yyyy]"},"levelType":"TIME_YEARS","caption":"Year","hierarchyUniqueName":"[Time].[Time]","dimensionUniqueName":"[Time]","visible":true,"description":null},{"uniqueName":"[Time].[Time].[Quarter]","name":"Quarter","annotations":{"AnalyzerDateFormat":"[yyyy].[Qq]"},"levelType":"TIME_QUARTERS","caption":"Quarter","hierarchyUniqueName":"[Time].[Time]","dimensionUniqueName":"[Time]","visible":true,"description":null},{"uniqueName":"[Time].[Time].[Month]","name":"Month","annotations":{"AnalyzerDateFormat":"[yyyy].[Qq].[mm]"},"levelType":"TIME_MONTHS","caption":"Month","hierarchyUniqueName":"[Time].[Time]","dimensionUniqueName":"[Time]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Time].[Time].[1997]","name":"1997","caption":"1997","dimensionUniqueName":"[Time]","description":null,"levelUniqueName":"[Time].[Time].[Year]","hierarchyUniqueName":"[Time].[Time]","calculated":false},{"uniqueName":"[Time].[Time].[1998]","name":"1998","caption":"1998","dimensionUniqueName":"[Time]","description":null,"levelUniqueName":"[Time].[Time].[Year]","hierarchyUniqueName":"[Time].[Time]","calculated":false}]},{"uniqueName":"[Time].[Weekly]","name":"Weekly","caption":"Weekly","dimensionUniqueName":"[Time]","levels":[{"uniqueName":"[Time].[Weekly].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Time].[Weekly]","dimensionUniqueName":"[Time]","visible":true,"description":null},{"uniqueName":"[Time].[Weekly].[Year]","name":"Year","annotations":{"AnalyzerDateFormat":"[yyyy]"},"levelType":"TIME_YEARS","caption":"Year","hierarchyUniqueName":"[Time].[Weekly]","dimensionUniqueName":"[Time]","visible":true,"description":null},{"uniqueName":"[Time].[Weekly].[Week]","name":"Week","annotations":{"AnalyzerDateFormat":"[yyyy].[ww]"},"levelType":"TIME_WEEKS","caption":"Week","hierarchyUniqueName":"[Time].[Weekly]","dimensionUniqueName":"[Time]","visible":true,"description":null},{"uniqueName":"[Time].[Weekly].[Day]","name":"Day","annotations":{"AnalyzerDateFormat":"[yyyy].[ww].[dd]"},"levelType":"TIME_DAYS","caption":"Day","hierarchyUniqueName":"[Time].[Weekly]","dimensionUniqueName":"[Time]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Time].[Weekly].[All Weeklys]","name":"All Weeklys","caption":"All Weeklys","dimensionUniqueName":"[Time]","description":null,"levelUniqueName":"[Time].[Weekly].[(All)]","hierarchyUniqueName":"[Time].[Weekly]","calculated":false}]},{"uniqueName":"[Time].[Date Only]","name":"Date Only","caption":"Date Only","dimensionUniqueName":"[Time]","levels":[{"uniqueName":"[Time].[Date Only].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Time].[Date Only]","dimensionUniqueName":"[Time]","visible":true,"description":null},{"uniqueName":"[Time].[Date Only].[Date String]","name":"Date String","annotations":{"SaikuDayFormatString":"yyyy/mm/dd"},"levelType":"REGULAR","caption":"Date String","hierarchyUniqueName":"[Time].[Date Only]","dimensionUniqueName":"[Time]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Time].[Date Only].[All Date Onlys]","name":"All Date Onlys","caption":"All Date Onlys","dimensionUniqueName":"[Time]","description":null,"levelUniqueName":"[Time].[Date Only].[(All)]","hierarchyUniqueName":"[Time].[Date Only]","calculated":false}]}]}],"measures":[{"uniqueName":"[Measures].[Sales Count]","name":"Sales Count","caption":"Sales Count","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"Sales"},{"uniqueName":"[Measures].[Unit Sales]","name":"Unit Sales","caption":"Unit Sales","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"Sales"},{"uniqueName":"[Measures].[Store Sales]","name":"Store Sales","caption":"Store Sales","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"Sales"},{"uniqueName":"[Measures].[Store Cost]","name":"Store Cost","caption":"Store Cost","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"Sales"},{"uniqueName":"[Measures].[Customer Count]","name":"Customer Count","caption":"Customer Count","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"Sales"},{"uniqueName":"[Measures].[Profit]","name":"Profit","caption":"Profit","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":true,"measureGroup":""}],"properties":{"org.saiku.query.explain":true,"saiku.olap.query.drillthrough":true,"org.saiku.connection.scenario":false}}'
    elif 'Store' in cube_path:
        return '{"dimensions":[{"uniqueName":"[Has coffee bar]","name":"Has coffee bar","caption":"Has coffee bar","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Has coffee bar].[Has coffee bar]","name":"Has coffee bar","caption":"Has coffee bar - Has coffee bar","dimensionUniqueName":"[Has coffee bar]","levels":[{"uniqueName":"[Has coffee bar].[Has coffee bar].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Has coffee bar].[Has coffee bar]","dimensionUniqueName":"[Has coffee bar]","visible":true,"description":null},{"uniqueName":"[Has coffee bar].[Has coffee bar].[Has coffee bar]","name":"Has coffee bar","annotations":{},"levelType":"REGULAR","caption":"Has coffee bar","hierarchyUniqueName":"[Has coffee bar].[Has coffee bar]","dimensionUniqueName":"[Has coffee bar]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Has coffee bar].[Has coffee bar].[All Has coffee bar]","name":"All Has coffee bar","caption":"All Has coffee bar","dimensionUniqueName":"[Has coffee bar]","description":null,"levelUniqueName":"[Has coffee bar].[Has coffee bar].[(All)]","hierarchyUniqueName":"[Has coffee bar].[Has coffee bar]","calculated":false}]}]},{"uniqueName":"[Store]","name":"Store","caption":"Store","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Store].[Stores]","name":"Stores","caption":"Stores","dimensionUniqueName":"[Store]","levels":[{"uniqueName":"[Store].[Stores].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Store].[Stores]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Stores].[Store Country]","name":"Store Country","annotations":{},"levelType":"REGULAR","caption":"Store Country","hierarchyUniqueName":"[Store].[Stores]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Stores].[Store State]","name":"Store State","annotations":{},"levelType":"REGULAR","caption":"Store State","hierarchyUniqueName":"[Store].[Stores]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Stores].[Store City]","name":"Store City","annotations":{},"levelType":"REGULAR","caption":"Store City","hierarchyUniqueName":"[Store].[Stores]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Stores].[Store Name]","name":"Store Name","annotations":{},"levelType":"REGULAR","caption":"Store Name","hierarchyUniqueName":"[Store].[Stores]","dimensionUniqueName":"[Store]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Store].[Stores].[All Stores]","name":"All Stores","caption":"All Stores","dimensionUniqueName":"[Store]","description":null,"levelUniqueName":"[Store].[Stores].[(All)]","hierarchyUniqueName":"[Store].[Stores]","calculated":false}]},{"uniqueName":"[Store].[Store Size in SQFT]","name":"Store Size in SQFT","caption":"Store Size in SQFT","dimensionUniqueName":"[Store]","levels":[{"uniqueName":"[Store].[Store Size in SQFT].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Store].[Store Size in SQFT]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Store Size in SQFT].[Store Sqft]","name":"Store Sqft","annotations":{},"levelType":"REGULAR","caption":"Store Sqft","hierarchyUniqueName":"[Store].[Store Size in SQFT]","dimensionUniqueName":"[Store]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Store].[Store Size in SQFT].[All Store Size in SQFTs]","name":"All Store Size in SQFTs","caption":"All Store Size in SQFTs","dimensionUniqueName":"[Store]","description":null,"levelUniqueName":"[Store].[Store Size in SQFT].[(All)]","hierarchyUniqueName":"[Store].[Store Size in SQFT]","calculated":false}]},{"uniqueName":"[Store].[Store Type]","name":"Store Type","caption":"Store - Store Type","dimensionUniqueName":"[Store]","levels":[{"uniqueName":"[Store].[Store Type].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Store].[Store Type]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Store Type].[Store Type]","name":"Store Type","annotations":{},"levelType":"REGULAR","caption":"Store Type","hierarchyUniqueName":"[Store].[Store Type]","dimensionUniqueName":"[Store]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Store].[Store Type].[All Store Types]","name":"All Store Types","caption":"All Store Types","dimensionUniqueName":"[Store]","description":null,"levelUniqueName":"[Store].[Store Type].[(All)]","hierarchyUniqueName":"[Store].[Store Type]","calculated":false}]}]},{"uniqueName":"[Store Type]","name":"Store Type","caption":"Store Type","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Store Type].[Store Type]","name":"Store Type","caption":"Store Type - Store Type","dimensionUniqueName":"[Store Type]","levels":[{"uniqueName":"[Store Type].[Store Type].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Store Type].[Store Type]","dimensionUniqueName":"[Store Type]","visible":true,"description":null},{"uniqueName":"[Store Type].[Store Type].[Store Type]","name":"Store Type","annotations":{},"levelType":"REGULAR","caption":"Store Type","hierarchyUniqueName":"[Store Type].[Store Type]","dimensionUniqueName":"[Store Type]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Store Type].[Store Type].[All Store Type]","name":"All Store Type","caption":"All Store Type","dimensionUniqueName":"[Store Type]","description":null,"levelUniqueName":"[Store Type].[Store Type].[(All)]","hierarchyUniqueName":"[Store Type].[Store Type]","calculated":false}]}]}],"measures":[{"uniqueName":"[Measures].[Store Sqft]","name":"Store Sqft","caption":"Store Sqft","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"Store"},{"uniqueName":"[Measures].[Grocery Sqft]","name":"Grocery Sqft","caption":"Grocery Sqft","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"Store"}],"properties":{"org.saiku.query.explain":true,"saiku.olap.query.drillthrough":true,"org.saiku.connection.scenario":false}}'
    elif 'Warehouse/' in cube_path:
        return '{"dimensions":[{"uniqueName":"[Product]","name":"Product","caption":"Product","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Product].[Products]","name":"Products","caption":"Products","dimensionUniqueName":"[Product]","levels":[{"uniqueName":"[Product].[Products].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null},{"uniqueName":"[Product].[Products].[Product Family]","name":"Product Family","annotations":{},"levelType":"REGULAR","caption":"Product Family","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null},{"uniqueName":"[Product].[Products].[Product Department]","name":"Product Department","annotations":{},"levelType":"REGULAR","caption":"Product Department","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null},{"uniqueName":"[Product].[Products].[Product Category]","name":"Product Category","annotations":{},"levelType":"REGULAR","caption":"Product Category","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null},{"uniqueName":"[Product].[Products].[Product Subcategory]","name":"Product Subcategory","annotations":{},"levelType":"REGULAR","caption":"Product Subcategory","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null},{"uniqueName":"[Product].[Products].[Brand Name]","name":"Brand Name","annotations":{},"levelType":"REGULAR","caption":"Brand Name","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null},{"uniqueName":"[Product].[Products].[Product Name]","name":"Product Name","annotations":{},"levelType":"REGULAR","caption":"Product Name","hierarchyUniqueName":"[Product].[Products]","dimensionUniqueName":"[Product]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Product].[Products].[All Products]","name":"All Products","caption":"All Products","dimensionUniqueName":"[Product]","description":null,"levelUniqueName":"[Product].[Products].[(All)]","hierarchyUniqueName":"[Product].[Products]","calculated":false}]}]},{"uniqueName":"[Store]","name":"Store","caption":"Store","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Store].[Stores]","name":"Stores","caption":"Stores","dimensionUniqueName":"[Store]","levels":[{"uniqueName":"[Store].[Stores].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Store].[Stores]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Stores].[Store Country]","name":"Store Country","annotations":{},"levelType":"REGULAR","caption":"Store Country","hierarchyUniqueName":"[Store].[Stores]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Stores].[Store State]","name":"Store State","annotations":{},"levelType":"REGULAR","caption":"Store State","hierarchyUniqueName":"[Store].[Stores]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Stores].[Store City]","name":"Store City","annotations":{},"levelType":"REGULAR","caption":"Store City","hierarchyUniqueName":"[Store].[Stores]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Stores].[Store Name]","name":"Store Name","annotations":{},"levelType":"REGULAR","caption":"Store Name","hierarchyUniqueName":"[Store].[Stores]","dimensionUniqueName":"[Store]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Store].[Stores].[All Stores]","name":"All Stores","caption":"All Stores","dimensionUniqueName":"[Store]","description":null,"levelUniqueName":"[Store].[Stores].[(All)]","hierarchyUniqueName":"[Store].[Stores]","calculated":false}]},{"uniqueName":"[Store].[Store Size in SQFT]","name":"Store Size in SQFT","caption":"Store Size in SQFT","dimensionUniqueName":"[Store]","levels":[{"uniqueName":"[Store].[Store Size in SQFT].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Store].[Store Size in SQFT]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Store Size in SQFT].[Store Sqft]","name":"Store Sqft","annotations":{},"levelType":"REGULAR","caption":"Store Sqft","hierarchyUniqueName":"[Store].[Store Size in SQFT]","dimensionUniqueName":"[Store]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Store].[Store Size in SQFT].[All Store Size in SQFTs]","name":"All Store Size in SQFTs","caption":"All Store Size in SQFTs","dimensionUniqueName":"[Store]","description":null,"levelUniqueName":"[Store].[Store Size in SQFT].[(All)]","hierarchyUniqueName":"[Store].[Store Size in SQFT]","calculated":false}]},{"uniqueName":"[Store].[Store Type]","name":"Store Type","caption":"Store - Store Type","dimensionUniqueName":"[Store]","levels":[{"uniqueName":"[Store].[Store Type].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Store].[Store Type]","dimensionUniqueName":"[Store]","visible":true,"description":null},{"uniqueName":"[Store].[Store Type].[Store Type]","name":"Store Type","annotations":{},"levelType":"REGULAR","caption":"Store Type","hierarchyUniqueName":"[Store].[Store Type]","dimensionUniqueName":"[Store]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Store].[Store Type].[All Store Types]","name":"All Store Types","caption":"All Store Types","dimensionUniqueName":"[Store]","description":null,"levelUniqueName":"[Store].[Store Type].[(All)]","hierarchyUniqueName":"[Store].[Store Type]","calculated":false}]}]},{"uniqueName":"[Time]","name":"Time","caption":"Time","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Time].[Time]","name":"Time","caption":"Time","dimensionUniqueName":"[Time]","levels":[{"uniqueName":"[Time].[Time].[Year]","name":"Year","annotations":{"AnalyzerDateFormat":"[yyyy]"},"levelType":"TIME_YEARS","caption":"Year","hierarchyUniqueName":"[Time].[Time]","dimensionUniqueName":"[Time]","visible":true,"description":null},{"uniqueName":"[Time].[Time].[Quarter]","name":"Quarter","annotations":{"AnalyzerDateFormat":"[yyyy].[Qq]"},"levelType":"TIME_QUARTERS","caption":"Quarter","hierarchyUniqueName":"[Time].[Time]","dimensionUniqueName":"[Time]","visible":true,"description":null},{"uniqueName":"[Time].[Time].[Month]","name":"Month","annotations":{"AnalyzerDateFormat":"[yyyy].[Qq].[mm]"},"levelType":"TIME_MONTHS","caption":"Month","hierarchyUniqueName":"[Time].[Time]","dimensionUniqueName":"[Time]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Time].[Time].[1997]","name":"1997","caption":"1997","dimensionUniqueName":"[Time]","description":null,"levelUniqueName":"[Time].[Time].[Year]","hierarchyUniqueName":"[Time].[Time]","calculated":false},{"uniqueName":"[Time].[Time].[1998]","name":"1998","caption":"1998","dimensionUniqueName":"[Time]","description":null,"levelUniqueName":"[Time].[Time].[Year]","hierarchyUniqueName":"[Time].[Time]","calculated":false}]},{"uniqueName":"[Time].[Weekly]","name":"Weekly","caption":"Weekly","dimensionUniqueName":"[Time]","levels":[{"uniqueName":"[Time].[Weekly].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Time].[Weekly]","dimensionUniqueName":"[Time]","visible":true,"description":null},{"uniqueName":"[Time].[Weekly].[Year]","name":"Year","annotations":{"AnalyzerDateFormat":"[yyyy]"},"levelType":"TIME_YEARS","caption":"Year","hierarchyUniqueName":"[Time].[Weekly]","dimensionUniqueName":"[Time]","visible":true,"description":null},{"uniqueName":"[Time].[Weekly].[Week]","name":"Week","annotations":{"AnalyzerDateFormat":"[yyyy].[ww]"},"levelType":"TIME_WEEKS","caption":"Week","hierarchyUniqueName":"[Time].[Weekly]","dimensionUniqueName":"[Time]","visible":true,"description":null},{"uniqueName":"[Time].[Weekly].[Day]","name":"Day","annotations":{"AnalyzerDateFormat":"[yyyy].[ww].[dd]"},"levelType":"TIME_DAYS","caption":"Day","hierarchyUniqueName":"[Time].[Weekly]","dimensionUniqueName":"[Time]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Time].[Weekly].[All Weeklys]","name":"All Weeklys","caption":"All Weeklys","dimensionUniqueName":"[Time]","description":null,"levelUniqueName":"[Time].[Weekly].[(All)]","hierarchyUniqueName":"[Time].[Weekly]","calculated":false}]},{"uniqueName":"[Time].[Date Only]","name":"Date Only","caption":"Date Only","dimensionUniqueName":"[Time]","levels":[{"uniqueName":"[Time].[Date Only].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Time].[Date Only]","dimensionUniqueName":"[Time]","visible":true,"description":null},{"uniqueName":"[Time].[Date Only].[Date String]","name":"Date String","annotations":{"SaikuDayFormatString":"yyyy/mm/dd"},"levelType":"REGULAR","caption":"Date String","hierarchyUniqueName":"[Time].[Date Only]","dimensionUniqueName":"[Time]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Time].[Date Only].[All Date Onlys]","name":"All Date Onlys","caption":"All Date Onlys","dimensionUniqueName":"[Time]","description":null,"levelUniqueName":"[Time].[Date Only].[(All)]","hierarchyUniqueName":"[Time].[Date Only]","calculated":false}]}]},{"uniqueName":"[Warehouse]","name":"Warehouse","caption":"Warehouse","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Warehouse].[Warehouses]","name":"Warehouses","caption":"Warehouses","dimensionUniqueName":"[Warehouse]","levels":[{"uniqueName":"[Warehouse].[Warehouses].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Warehouse].[Warehouses]","dimensionUniqueName":"[Warehouse]","visible":true,"description":null},{"uniqueName":"[Warehouse].[Warehouses].[Country]","name":"Country","annotations":{},"levelType":"REGULAR","caption":"Country","hierarchyUniqueName":"[Warehouse].[Warehouses]","dimensionUniqueName":"[Warehouse]","visible":true,"description":null},{"uniqueName":"[Warehouse].[Warehouses].[State Province]","name":"State Province","annotations":{},"levelType":"REGULAR","caption":"State Province","hierarchyUniqueName":"[Warehouse].[Warehouses]","dimensionUniqueName":"[Warehouse]","visible":true,"description":null},{"uniqueName":"[Warehouse].[Warehouses].[City]","name":"City","annotations":{},"levelType":"REGULAR","caption":"City","hierarchyUniqueName":"[Warehouse].[Warehouses]","dimensionUniqueName":"[Warehouse]","visible":true,"description":null},{"uniqueName":"[Warehouse].[Warehouses].[Warehouse Name]","name":"Warehouse Name","annotations":{},"levelType":"REGULAR","caption":"Warehouse Name","hierarchyUniqueName":"[Warehouse].[Warehouses]","dimensionUniqueName":"[Warehouse]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Warehouse].[Warehouses].[All Warehouses]","name":"All Warehouses","caption":"All Warehouses","dimensionUniqueName":"[Warehouse]","description":null,"levelUniqueName":"[Warehouse].[Warehouses].[(All)]","hierarchyUniqueName":"[Warehouse].[Warehouses]","calculated":false}]}]}],"measures":[{"uniqueName":"[Measures].[Store Invoice]","name":"Store Invoice","caption":"Store Invoice","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"Warehouse"},{"uniqueName":"[Measures].[Supply Time]","name":"Supply Time","caption":"Supply Time","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"Warehouse"},{"uniqueName":"[Measures].[Warehouse Cost]","name":"Warehouse Cost","caption":"Warehouse Cost","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"Warehouse"},{"uniqueName":"[Measures].[Warehouse Sales]","name":"Warehouse Sales","caption":"Warehouse Sales","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"Warehouse"},{"uniqueName":"[Measures].[Units Shipped]","name":"Units Shipped","caption":"Units Shipped","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"Warehouse"},{"uniqueName":"[Measures].[Units Ordered]","name":"Units Ordered","caption":"Units Ordered","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"Warehouse"},{"uniqueName":"[Measures].[Warehouse Profit]","name":"Warehouse Profit","caption":"Warehouse Profit","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"Warehouse"}],"properties":{"org.saiku.query.explain":true,"saiku.olap.query.drillthrough":true,"org.saiku.connection.scenario":false}}'
    else:
        return '{"dimensions":[{"uniqueName":"[Store2]","name":"Store2","caption":"Store2","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Store2].[Store]","name":"Store","caption":"Store","dimensionUniqueName":"[Store2]","levels":[{"uniqueName":"[Store2].[Store].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Store2].[Store]","dimensionUniqueName":"[Store2]","visible":true,"description":null},{"uniqueName":"[Store2].[Store].[Store Type]","name":"Store Type","annotations":{},"levelType":"REGULAR","caption":"Store Type","hierarchyUniqueName":"[Store2].[Store]","dimensionUniqueName":"[Store2]","visible":true,"description":null},{"uniqueName":"[Store2].[Store].[Has coffee bar]","name":"Has coffee bar","annotations":{},"levelType":"REGULAR","caption":"Has coffee bar","hierarchyUniqueName":"[Store2].[Store]","dimensionUniqueName":"[Store2]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Store2].[Store].[All Path]","name":"All Path","caption":"All Path","dimensionUniqueName":"[Store2]","description":null,"levelUniqueName":"[Store2].[Store].[(All)]","hierarchyUniqueName":"[Store2].[Store]","calculated":false}]},{"uniqueName":"[Store2].[Store Type]","name":"Store Type","caption":"Store2 - Store Type","dimensionUniqueName":"[Store2]","levels":[{"uniqueName":"[Store2].[Store Type].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Store2].[Store Type]","dimensionUniqueName":"[Store2]","visible":true,"description":null},{"uniqueName":"[Store2].[Store Type].[Store Type]","name":"Store Type","annotations":{},"levelType":"REGULAR","caption":"Store Type","hierarchyUniqueName":"[Store2].[Store Type]","dimensionUniqueName":"[Store2]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Store2].[Store Type].[false]","name":"false","caption":"false","dimensionUniqueName":"[Store2]","description":null,"levelUniqueName":"[Store2].[Store Type].[(All)]","hierarchyUniqueName":"[Store2].[Store Type]","calculated":false}]}]},{"uniqueName":"[Store3]","name":"Store3","caption":"Store3","description":null,"visible":true,"hierarchies":[{"uniqueName":"[Store3].[Store]","name":"Store","caption":"Store","dimensionUniqueName":"[Store3]","levels":[{"uniqueName":"[Store3].[Store].[(All)]","name":"(All)","annotations":{},"levelType":"ALL","caption":"(All)","hierarchyUniqueName":"[Store3].[Store]","dimensionUniqueName":"[Store3]","visible":true,"description":null},{"uniqueName":"[Store3].[Store].[Store Id]","name":"Store Id","annotations":{},"levelType":"REGULAR","caption":"Store Id","hierarchyUniqueName":"[Store3].[Store]","dimensionUniqueName":"[Store3]","visible":true,"description":null},{"uniqueName":"[Store3].[Store].[Store Manager]","name":"Store Manager","annotations":{},"levelType":"REGULAR","caption":"Store Manager","hierarchyUniqueName":"[Store3].[Store]","dimensionUniqueName":"[Store3]","visible":true,"description":null}],"description":null,"visible":true,"rootMembers":[{"uniqueName":"[Store3].[Store].[All Path]","name":"All Path","caption":"All Path","dimensionUniqueName":"[Store3]","description":null,"levelUniqueName":"[Store3].[Store].[(All)]","hierarchyUniqueName":"[Store3].[Store]","calculated":false}]}]}],"measures":[{"uniqueName":"[Measures].[Sales Count]","name":"Sales Count","caption":"Sales Count","dimensionUniqueName":"[Measures]","description":null,"levelUniqueName":"[Measures].[MeasuresLevel]","hierarchyUniqueName":"[Measures]","calculated":false,"measureGroup":"sales_fact_1997"}],"properties":{"org.saiku.query.explain":true,"saiku.olap.query.drillthrough":true,"org.saiku.connection.scenario":false}}'

